#include<bits/stdc++.h>
using namespace std;
#define endl '\n'
typedef long long ll;
ll a, cr, cl, n, t, v[300007];
bool cm, ans;
vector<ll> vec;
int main()
{
    ios_base::sync_with_stdio(); cin.tie(); cout.tie();
    cin >> t;
    for(int qwerty=0; qwerty<t; qwerty++)
    {
        cin >> n;
        for(int i=0; i<n; i++)
        {
            cin >> a;
            vec.push_back(a);
        }
        sort(vec.begin(), vec.end());
        reverse(vec.begin(), vec.end());
        cl=1;
        cr=n;
        cm=1;
        ans=1;
        v[0]=10000000000000;
        v[n+1]=10000000000000;
        for(int i=0; i<vec.size()-1; i++)
        {
            if(cm)
            {
                if(v[cr+1]+vec[i+1]<vec[i]*2)
                {
                    cout <<"NO" << endl;
                    ans=0;
                    i=vec.size();
                }
                else if(cl>1 && v[cl-1]*2>v[cl-2]+vec[i+1])
                {
                v[cl]=vec[i];
                cl++;
                }
                else
                {
                v[cr]=vec[i];
                cr--;
                }
            }
            else
            {
                if(v[cl-1]+vec[i+1]<vec[i]*2)
                {
                    cout << "NO" << endl;
                    ans=0;
                    i=vec.size();
                }
                else if(cr<n && v[cr+1]*2>v[cr+2]+vec[i+1])
                {
                        v[cr]=vec[i];
                        cr--;
                }
                else
                {
                v[cl]=vec[i];
                cl++;
                }
            }
            cm=(v[cr+1]>=v[cl-1]);
        }
        v[cl]=vec[vec.size()-1];
        if(ans)
        {
            for(int i=1; i<=n; i++)
            {
                if(v[i]*2>v[i-1]+v[i+1])
                {
                    cout << "NO" << endl;
                    ans=0;
                    i=n+1;
                }
            }
            if(ans)
            {
                cout <<"YES" << endl;
            }
        }
        vec.clear(); a=0; ans=0; n=0; cl=0; cr=0; cm=0;
        for(int i=0; i<n+7; i++)
        {
            v[i]=0;
        }
    }
}
